package com.goafanti.weChat.bo;

public class InputPublicReleaseList {

	private Integer pageSize;
	private Integer pageNo;
	/**
	 * 查看类型 0我的公出 1公出审核 2管理员 3协单（技术财税总监看全部） 4 公出企业负责人审核 5 技术公出审核 6=协单审核 7=最大公出审核
	 */
	private Integer type;
	private String clockTime;
	/**
	 *  assist 字段意思0非协单 1主协单 2子协单 3协单租售
	 *  此处 0是 非+主  1是所有 2是子协单
	 */
	private Integer assist;
	private Integer maxProcessStatus;
//	公出时间搜索，按公出名称搜索，按审核状态搜索（审核中、已撤销、已审核），按打卡状态搜索（已打卡、未打卡）
	private String releaseStarts;
	private String releaseEnds;
	private String userName;
	private String status;
	private String clockIn;

	public Integer getMaxProcessStatus() {
		return maxProcessStatus;
	}

	public void setMaxProcessStatus(Integer maxProcessStatus) {
		this.maxProcessStatus = maxProcessStatus;
	}

	public Integer getAssist() {
		return assist;
	}

	public void setAssist(Integer assist) {
		this.assist = assist;
	}

	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getClockIn() {
		return clockIn;
	}
	public void setClockIn(String clockIn) {
		this.clockIn = clockIn;
	}
	public Integer getPageSize() {
		return pageSize;
	}
	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
	public Integer getPageNo() {
		return pageNo;
	}
	public void setPageNo(Integer pageNo) {
		this.pageNo = pageNo;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}

	public String getClockTime() {
		return clockTime;
	}
	public void setClockTime(String clockTime) {
		this.clockTime = clockTime;
	}
	public String getReleaseStarts() {
		return releaseStarts;
	}
	public void setReleaseStarts(String releaseStarts) {
		this.releaseStarts = releaseStarts;
	}
	public String getReleaseEnds() {
		return releaseEnds;
	}
	public void setReleaseEnds(String releaseEnds) {
		this.releaseEnds = releaseEnds;
	}


}
